ModernLoop Internal API
Apipylon

Search Pylon users (POST /users/search)

Read operation: does not mutate upstream state.

curl -X POST "https://api.modernloop.dev/rest/v1/pylon/users/search" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": [    {      "id": "string",      "name": "string",      "email": "string",      "emails": [        "string"      ],      "avatar_url": "string",      "role_id": "string",      "role": {        "id": "string",        "name": "string",        "slug": "string"      },      "status": "string"    }  ],  "pagination": {    "cursor": "string",    "has_next_page": true  },  "request_id": "string"}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

cursor?string
limit?integer
Range1 <= value <= 1000
filter?

Recursive provider-native Pylon filter with field, operator, optional value/values, and nested subfilters

search_text?string

Response Body

application/json

application/json

application/json

application/json

application/json